Bug 285351 - Review Request: xcalib - Tiny monitor calibration loader for X.org
Review Request: xcalib - Tiny monitor calibration loader for X.org
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 431310
Blocks: 239936
  Show dependency treegraph
 
Reported: 2007-09-10 19:01 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-03-03 10:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 10:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-09-10 19:01:30 EDT
Spec URL: 
http://kwizart.free.fr/fedora/6/testing/xcalib/xcalib.spec
SRPM URL: 
http://kwizart.free.fr/fedora/6/testing/xcalib/xcalib-0.8-1.kwizart.fc6.src.rpm
Description: Tiny monitor calibration loader for X.org

This is an optionnal requirement of oyranos (still in review...)
Comment 1 Mamoru TASAKA 2007-11-05 02:26:55 EST
For 0.8-1:

* License
  - is GPLv2+.

* %_datadir/color and %_datadir/color/icc
  - At the stage xcalib is installed, no rpms own either of the directories.
    I don't exactly know what softwares uses these directories, however
    I suggest you create some metapackage (like kde-filesystem) make
    this package require the metapackage.
Comment 2 Mamoru TASAKA 2007-11-15 06:25:31 EST
ping?
Comment 3 Mamoru TASAKA 2007-11-29 02:32:32 EST
ping again?
Comment 4 Nicolas Chauvet (kwizart) 2007-11-29 08:32:41 EST
I will do so, but i still wonder if we could allow icc content
Blocking FE-LEGAL for that (same problem for oyranos)
Comment 5 Tom "spot" Callaway 2007-12-12 13:48:10 EST
I'm not sure I understand the legal blocker here... can you be more specific?
Comment 6 Nicolas Chauvet (kwizart) 2007-12-12 16:35:04 EST
Tom - The same problem is more described in 
https://bugzilla.redhat.com/show_bug.cgi?id=239936#c16

In one world I wonder if we can allow ICC profiles?

Some icc profiles are Copyrighted but even Adobe "standard" icc profiles which
is commonly used may be a problem. Instead we may need to use a "compatible with
Adobe icc sRGB profile" that will follow the same specification.
Comment 7 Tom "spot" Callaway 2007-12-12 20:35:50 EST
Any ICC profiles which are under this license:

http://www.adobe.com/support/downloads/iccprofiles/icc_eula_unix_end.html

Cannot be distributed in Fedora, as it explicitly says:

Adobe also grants you the rights to distribute the Software only (a) as embedded
within digital image files and (b) on a standalone basis. No other distribution
of the Software is allowed; including, without limitation, distribution of the
Software when incorporated into or bundled with any application software. You
may not modify the Software.
Comment 8 Nicolas Chauvet (kwizart) 2007-12-12 21:11:36 EST
There is also a :
http://www.adobe.com/support/downloads/iccprofiles/icc_eula_unix_dist.html

I'm not sure I understand very well. Does that mean we need to bundle the adobe
icc profile alone (b) ? The profile seems redistributable from the adobe point
of view but maybe the problem is with:
You may not modify the Software.

So we cannot consider this as FOSS. But actually modifying the software is
pointless because, this does not make sense for the modified profile to have the
same name.
Instead we can generate (I don't know how to do yet.) an icc profile with the
same spec as Adobe icc. Then it can be named "compatible with Adobe sRGB" and it
will not come from Adobe.inc (which is the only way to have the original Adobe
sRGB icc profile)...



Comment 9 Tom "spot" Callaway 2007-12-13 07:24:00 EST
http://www.adobe.com/support/downloads/iccprofiles/icc_eula_unix_dist.html

is far too restrictive. It does not permit us to freely redistribute items under
that license, nor does it permit us to modify their code.

If you're able to generate icc profiles without using any files under either of
those Adobe licenses, then you could include those under a Fedora approved
license, but you almost certainly can't use the "Adobe" trademark, as that would
be well outside the bounds of fair use (IMHO). (Especially, because the license
says: "Adobe does not permit the use of the Adobe RGB trademark for software,
hardware, or other related products from companies other than Adobe, unless the
company has obtained a prior written license from Adobe to do so.")

You could call it "Fedora sRGB" or something like that.
Comment 10 Nicolas Chauvet (kwizart) 2007-12-13 08:41:37 EST
Ok found out where it was written:

http://lists.freedesktop.org/archives/openicc/2006q3/000758.html
http://www.adobe.com/digitalimag/adobergb.html

Legal note regarding color-space naming: Only the Adobe RGB (1998) ICC profile
created by Adobe Systems Incorporated can accurately be referred to as "Adobe
RGB (1998)." ICC profiles created by other vendors, even if they conform to the
color image encoding described in the Adobe RGB (1998) color image encoding
document, cannot be referred to as "Adobe RGB (1998)." If vendors choose to
create their own profile according to this specification, and they want to
indicate to their customers that this profile was written in accordance with
Adobe's specification, then an alternate phrasing is required, such as
"compatible with Adobe RGB (1998)."

But the same problem will appear here as it cannot be modified without breaking
it to be a "standard".

So there is a need to rip out theses profiles from source archives...
I'm asking Kai-Uwe Behrmann (oyranos developer) if he has some question to ask... 

Last do we have a problem with GPL-ed postcardware - it seems worded as an
optional field...

Also I wonder where system profiles could be created, It would be better to have
them in filesystem package instead of an eventual color-filesystem package since
it is not expected to be changed...(whereas kde3 or kde4 are)...
Anyway I will follow advices on the subject...

Comment 11 Kai-Uwe Behrmann 2007-12-13 09:24:43 EST
The Compatible with AdobeRGB from Graeme Gill is sent to Nicolas. Note it will be
part of the next Oyranos release.
Comment 12 Nicolas Chauvet (kwizart) 2008-02-02 08:41:12 EST
So i'm building color-filesystem including some rpm marcros in
/etc/rpm/macros.color :

%%_colordir %%_datadir/color
%%_syscolordir %%_colordir
%%_icccolordir %%_colordir/icc
%%_cmmscolordir %%_colordir/cmms

Does that sound good ?

We haven't left FE-legal here:
- postcardware problem ?
- license for bundled icc profile in xcalib (and also oyaranos)
Comment 13 Mamoru TASAKA 2008-02-02 09:03:08 EST
(In reply to comment #12)
> So i'm building color-filesystem including some rpm marcros in
> /etc/rpm/macros.color :
> 
> %%_colordir %%_datadir/color
> %%_syscolordir %%_colordir
> %%_icccolordir %%_colordir/icc
> %%_cmmscolordir %%_colordir/cmms
> 
> Does that sound good ?

Seems good.
Comment 14 Nicolas Chauvet (kwizart) 2008-02-02 10:18:23 EST
SPECS: http://kwizart.fedorapeople.org/SPECS/xcalib.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/xcalib-0.8-2.kwizart.fc8.src.rpm
Description: Tiny monitor calibration loader for X.org

I've send a email to the author about bundled icc profile license and the
postcardware add to the GPL license.

Comment 15 Nicolas Chauvet (kwizart) 2008-02-14 09:18:36 EST
Received an answear some days ago.
I've ask the xcalib developer if it would be possible to repack the sources
without fglrx pre-built binaries and without icc profiles (as i expect we will
need to re-create them either with argyll or else - but in this case, they are
unneeded).

I still need advices for the postcardware problem. ? Does it can be seen as a
advertising issue that is incompatible with the GPL itself ?

Comment 16 Tom "spot" Callaway 2008-02-14 09:28:33 EST
No. The "postcardware" problem isn't a use-restriction, its an optional thing.
If you are compelled to send the author a postcard, you can, but are not
required to do so. Just mark this as GPLv2+.
Comment 17 Nicolas Chauvet (kwizart) 2008-02-23 04:39:47 EST
SPECS: http://kwizart.fedorapeople.org/SPECS/xcalib.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/xcalib-0.8-4.fc8.kwizart.src.rpm
Description: Tiny monitor calibration loader for X.org

Fixed License to GPLv2+
Remove icc profiles as the provided ones aren't used exept for testing 
(might be better to provide others profiles, but Requirement seems unneeded as
they is differents method to have them, even for non-redistributable ones.)
Repackage the source to remove uneeded items.

Comment 18 Mamoru TASAKA 2008-02-27 08:00:25 EST
Now this package can be approved.

-----------------------------------------------------------------------
     This package (xcalib) is APPROVED by me
-----------------------------------------------------------------------
Comment 19 Nicolas Chauvet (kwizart) 2008-02-27 08:32:37 EST
New Package CVS Request
=======================
Package Name:      xcalib
Short Description: Tiny monitor calibration loader for X.org
Owners:            kwizart
Branches:          F-8
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 20 Kevin Fenzi 2008-02-27 13:47:20 EST
cvs done.
Comment 21 Mamoru TASAKA 2008-03-03 10:07:07 EST
Closing as NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.